OGRE: Ogre::RenderPassDescriptor Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Public Attributes | List of all members
Ogre::RenderPassDescriptor Class Reference
Core » Resources

`#include <OgreRenderPassDescriptor.h>`

Inheritance diagram for Ogre::RenderPassDescriptor:
[legend]

## Public Types
enum | EntryTypes { Colour0 = 1u << 0u, Colour1 = 1u << 1u, Colour2 = 1u << 2u, Colour3 = 1u << 3u, Colour4 = 1u << 4u, Colour5 = 1u << 5u, Colour6 = 1u << 6u, Colour7 = 1u << 7u, Depth = 1u << 30u, Stencil = 1u << 31u, Colour = Colour0|Colour1|Colour2|Colour3|Colour4|Colour5|Colour6|Colour7, All = Colour|Depth|Stencil }

## Public Member Functions
| RenderPassDescriptor ()
virtual | ~RenderPassDescriptor ()
void | checkWarnIfRtvWasFlushed (uint32 entriesToFlush)
virtual void | entriesModified (uint32 entryTypes)
| Call this when you're done modified mColour. More...
virtual void | getCustomAttribute (IdString name, void *pData, uint32 extraParam)
uint8 | getNumColourEntries (void) const
bool | hasAttachment (const TextureGpu *texture) const
virtual bool | hasSameAttachments (const RenderPassDescriptor *otherPassDesc) const
bool | hasStencilFormat (void) const
| Returns true if either Stencil is set, or if Depth is set with depth-stencil attachment. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
bool | requiresTextureFlipping (void) const
virtual void | setClearColour (const ColourValue &clearColour)
| Sets the clear colour to all entries. More...
virtual void | setClearColour (uint8 idx, const ColourValue &clearColour)
| Sets the clear colour to specific entry. More...
virtual void | setClearDepth (Real clearDepth)
virtual void | setClearStencil (uint32 clearStencil)

## Public Attributes
RenderPassColourTarget | mColour [OGRE_MAX_MULTIPLE_RENDER_TARGETS]
RenderPassDepthTarget | mDepth
bool | mInformationOnly
| When true, beginRenderPassDescriptor & endRenderPassDescriptor won't actually load/store this pass descriptor; but will still set the mCurrentRenderPassDescriptor so we have required information by some passes. More...
RenderPassStencilTarget | mStencil

## Member Enumeration Documentation

## ◆ EntryTypes

enum Ogre::RenderPassDescriptor::EntryTypes

Enumerator
Colour0 |
Colour1 |
Colour2 |
Colour3 |
Colour4 |
Colour5 |
Colour6 |
Colour7 |
Depth |
Stencil |
Colour |
All |

## Constructor & Destructor Documentation

## ◆ RenderPassDescriptor()

Ogre::RenderPassDescriptor::RenderPassDescriptor | ( |  | ) |

## ◆ ~RenderPassDescriptor()

virtual Ogre::RenderPassDescriptor::~RenderPassDescriptor | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ checkWarnIfRtvWasFlushed()

void Ogre::RenderPassDescriptor::checkWarnIfRtvWasFlushed | ( | uint32 | entriesToFlush | ) |

## ◆ entriesModified()

virtual void Ogre::RenderPassDescriptor::entriesModified | ( | uint32 | entryTypes | ) |
| virtual

Call this when you're done modified mColour.

Note there must be no gaps, e.g. mColour[1] is empty but mColour[0] & mColour[2] are not.

Remarks
  Values that are modified by calling setClearColour et al don't need to call entriesModified. Prefer changing those values using those calls since it's faster.

Parameters

  entryTypes | Bitmask. See EntryTypes

Reimplemented in Ogre::MetalRenderPassDescriptor, Ogre::GL3PlusRenderPassDescriptor, and Ogre::D3D11RenderPassDescriptor.

## ◆ getCustomAttribute()

virtual void Ogre::RenderPassDescriptor::getCustomAttribute | ( | IdString | name,
|  | void * | pData,
|  | uint32 | extraParam
| ) |  |
| inlinevirtual

Parameters

  name | When it's set to "ID3D11RenderTargetView", extraParam must be in range [0;OGRE_MAX_MULTIPLE_RENDER_TARGETS) When it's set to "ID3D11DepthStencilView", extraParam can be any value
  pData | Output
  extraParam | See name

Reimplemented in Ogre::D3D11RenderPassDescriptor.

## ◆ getNumColourEntries()

uint8 Ogre::RenderPassDescriptor::getNumColourEntries | ( | void |  | ) | const
| inline

## ◆ hasAttachment()

bool Ogre::RenderPassDescriptor::hasAttachment | ( | const TextureGpu * | texture | ) | const

## ◆ hasSameAttachments()

virtual bool Ogre::RenderPassDescriptor::hasSameAttachments | ( | const RenderPassDescriptor * | otherPassDesc | ) | const
| virtual

## ◆ hasStencilFormat()

bool Ogre::RenderPassDescriptor::hasStencilFormat | ( | void |  | ) | const

Returns true if either Stencil is set, or if Depth is set with depth-stencil attachment.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ requiresTextureFlipping()

bool Ogre::RenderPassDescriptor::requiresTextureFlipping | ( | void |  | ) | const
| inline

## ◆ setClearColour() [1/2]

virtual void Ogre::RenderPassDescriptor::setClearColour | ( | const ColourValue & | clearColour | ) |
| virtual

Sets the clear colour to all entries.

In some APIs may be faster than calling setClearColour( idx, clearColour ) for each entry individually.

Reimplemented in Ogre::GL3PlusRenderPassDescriptor.

## ◆ setClearColour() [2/2]

virtual void Ogre::RenderPassDescriptor::setClearColour | ( | uint8 | idx,
|  | const ColourValue & | clearColour
| ) |  |
| virtual

Sets the clear colour to specific entry.

Reimplemented in Ogre::MetalRenderPassDescriptor, and Ogre::GL3PlusRenderPassDescriptor.

## ◆ setClearDepth()

virtual void Ogre::RenderPassDescriptor::setClearDepth | ( | Real | clearDepth | ) |
| virtual

Reimplemented in Ogre::MetalRenderPassDescriptor.

## ◆ setClearStencil()

virtual void Ogre::RenderPassDescriptor::setClearStencil | ( | uint32 | clearStencil | ) |
| virtual

Reimplemented in Ogre::MetalRenderPassDescriptor.

## Member Data Documentation

## ◆ mColour

RenderPassColourTarget Ogre::RenderPassDescriptor::mColour[OGRE_MAX_MULTIPLE_RENDER_TARGETS]

## ◆ mDepth

RenderPassDepthTarget Ogre::RenderPassDescriptor::mDepth

## ◆ mInformationOnly

bool Ogre::RenderPassDescriptor::mInformationOnly

When true, beginRenderPassDescriptor & endRenderPassDescriptor won't actually load/store this pass descriptor; but will still set the mCurrentRenderPassDescriptor so we have required information by some passes.

Examples of these are stencil passes.

## ◆ mStencil

RenderPassStencilTarget Ogre::RenderPassDescriptor::mStencil

The documentation for this class was generated from the following file:

- OgreRenderPassDescriptor.h